const webpack = require('webpack')
const path = require('path')

module.exports = {
  entry: './docs/entry.js',

  output: {
    path: path.join(__dirname, 'docs'),
    filename: 'bundle.js'
  },

  node: {
    fs: 'empty'
  },

  resolve: {
    alias: {
      'react-box-shadow': path.join(__dirname, 'src/BoxShadow')
    }
  },

  module: {
    rules: [
      {
        test: /\.js$/,
        exclude: /node_modules/,
        use: 'babel-loader'
      }
    ]
  },

  plugins: [
    new webpack.DefinePlugin({
      'process.env.NODE_ENV': JSON.stringify(process.env.NODE_ENV)
    })
  ],

  devServer: {
    contentBase: 'docs/',
    historyApiFallback: true
  }
}
